Agents
Agent information
5 endpoints
Get agent reliability
Agent reliability data — false positive rate, resolution rate, time to resolve.
Requires authentication
Parameters
agentstringqueryversionstringqueryFilter by agent definition version
projectstringqueryProject UUID or name
daysintegerqueryTime window in days
Default:30Responses
200Agent reliability data
Response fields
dataobjectGET
/api/v1/agents/reliabilitycurl -X GET "https://api.uluops.ai/api/v1/agents/reliability" \
-H "Authorization: Bearer $ULUOPS_TOKEN"Response
{
"data": "..."
}Get agent identity
Requires authentication
Parameters
namerequiredstringpathAgent name
Responses
200Agent identity with lineage
401Missing or invalid authentication
404Resource not found
Response fields
dataobjectGET
/api/v1/agents/{name}/identitycurl -X GET "https://api.uluops.ai/api/v1/agents/my-project/identity" \
-H "Authorization: Bearer $ULUOPS_TOKEN"Response
{
"data": {
"current": "...",
"lineage": [],
"versionCount": 0
}
}Get agent identity versions
Requires authentication
Parameters
namerequiredstringpathAgent name
Responses
200List of agent identity versions
401Missing or invalid authentication
Response fields
dataobject[]countintegerGET
/api/v1/agents/{name}/versionscurl -X GET "https://api.uluops.ai/api/v1/agents/my-project/versions" \
-H "Authorization: Bearer $ULUOPS_TOKEN"Response
{
"data": [],
"count": 0
}Get agent lifecycle analytics
Requires authentication
Parameters
namerequiredstringpathAgent name
projectstringqueryProject UUID or name
daysintegerqueryTime window in days
Default:30Responses
200Agent lifecycle data points
401Missing or invalid authentication
Response fields
dataobject[]countintegercomputedAtstringdate-timeGET
/api/v1/agents/{name}/lifecyclecurl -X GET "https://api.uluops.ai/api/v1/agents/my-project/lifecycle" \
-H "Authorization: Bearer $ULUOPS_TOKEN"Response
{
"data": [],
"count": 0,
"computedAt": "2026-01-15T10:30:00Z"
}Get agent runs analysis
Requires authentication
Parameters
namerequiredstringpathAgent name
Responses
200Analysis summaries with run context for the agent
401Missing or invalid authentication
Response fields
dataobjectGET
/api/v1/agents/{name}/runs-analysiscurl -X GET "https://api.uluops.ai/api/v1/agents/my-project/runs-analysis" \
-H "Authorization: Bearer $ULUOPS_TOKEN"Response
{
"data": "..."
}